<style>
  table {
        width: 100% !important;
    }
    .danger{
    background-color:#f44336 !important;
  }

  #products > .center > .header .search-wrapper {
width: 100%;
max-width: 480px;
background-color: #ffffff;
border-radius: 28px;
overflow: hidden;
box-shadow: 0px 2px 1px -1px rgba(0, 0, 0, 0.2), 0px 1px 1px 0px rgba(0, 0, 0, 0.14), 0px 1px 3px 0px rgba(0, 0, 0, 0.12);
}
#products > .center > .header .search-wrapper .search input {
width: 100%;
height: 48px;
min-height: 48px;
max-height: 48px;
padding: 0 16px;
border: none;
outline: none;
}

.header .search-wrapper .search .mat-icon {
color: rgba(0, 0, 0, 0.54);
}
.mat-icon {
background-repeat: no-repeat;
display: inline-block;
fill: currentColor;
height: 24px;
width: 24px;
}
.mat-icon {
font-weight: 400 !important;
line-height: 1;
}
</style>
<div id="products" class="page-layout carded fullwidth">

    <!-- TOP BACKGROUND -->
    <div class="top-bg accent"></div>
    <!-- / TOP BACKGROUND -->

    <!-- CENTER -->
    <div class="center">

        <!-- HEADER -->
        <div class="header accent"
             fxLayout="column" fxLayoutAlign="center center"
             fxLayout.gt-sm="row" fxLayoutAlign.gt-sm="space-between center">

            <!-- APP TITLE -->
            <div class="logo mb-24 mb-md-0"
                 fxLayout="row" fxLayoutAlign="start center">
                <mat-icon class="logo-icon s-32 mr-16" [@animate]="{value:'*',params:{delay:'50ms',scale:'0.2'}}">
                    assignment
                </mat-icon>
                <span class="logo-text h1" [@animate]="{value:'*',params:{delay:'100ms',x:'-25px'}}">
                    {{title}}
                </span>
            </div>
            <!-- / APP TITLE -->

            <!-- SEARCH -->
            <div class="search-wrapper mx-32 mx-md-0">

              <div class="search" fxFlex fxLayout="row" fxLayoutAlign="start center">
                  <mat-icon>search</mat-icon>
                  <input (keyup)="doFilter($event.target.value)" placeholder="Search for a processor">
              </div>
          </div>
          <!-- / SEARCH -->
          &nbsp;
            <!-- ADD BUTTON -->
            <button mat-raised-button
                    [routerLink]="'/apps/admin/Create-Processors'"
                    class="add-product-button fuse-white mt-24 mt-md-0">
                <span>ADD NEW PROCESSOR</span>
            </button>
            <!-- / ADD BUTTON -->

        </div>
        <!-- / HEADER -->

        <!-- CONTENT CARD -->
        <div class="content-card">

          <div  style="margin-left: 15px;
          margin-top: 15px !important;
          margin-bottom: 10px !important;">
          <button mat-flat-button color="accent" (click)="exportCsv()"><mat-icon class="mat-18">cloud_download</mat-icon> Export</button>
          </div>



          <mat-card *ngIf="isLoading" 
          style="display: flex; justify-content: center; align-items: center">
         <mat-progress-spinner 
           color="primary" 
           mode="indeterminate">  
         </mat-progress-spinner>
       </mat-card> 
       <div fusePerfectScrollbar>
          <table mat-table *ngIf="!isLoading" [dataSource]="dataSource" class="products-table mat-elevation-z8"  [@animateStagger]="{value:'50'}"
          fusePerfectScrollbar>
            <!-- <table mat-table [dataSource]="dataSource" class="mat-elevation-z8"> -->

                <!--- Note that these columns can be defined in any order.
                      The actual rendered columns are set as a property on the row definition" -->
              
                <!-- Position Column -->
                <!--- Note that these columns can be defined in any order.
        The actual rendered columns are set as a property on the row definition" -->

        <ng-container matColumnDef="processor_id">
            <th mat-header-cell *matHeaderCellDef>#</th>
            <!-- <td mat-cell *matCellDef="let element; let i = index;">  {{element.processor_id}}  &nbsp;  &nbsp;&nbsp;</td> -->
            <td mat-cell *matCellDef="let element; let i = index;">  {{ (paginatorRef.pageIndex * paginatorRef.pageSize) + (i + 1) }}</td>
          </ng-container>
        

        <ng-container matColumnDef="company">
            <th mat-header-cell *matHeaderCellDef> Company</th>
            <td mat-cell *matCellDef="let element"> {{element.company}}</td>
        
          </ng-container>
        
          <!-- Weight Column -->
          <!-- <ng-container matColumnDef="email">
            <th mat-header-cell *matHeaderCellDef>Email </th>
            <td mat-cell *matCellDef="let element"> {{element.email}} </td>
          </ng-container> -->
        
          <!-- Symbol Column -->
          <!-- <ng-container matColumnDef="phone">
            <th mat-header-cell *matHeaderCellDef> Phone Number  &nbsp;  &nbsp;  &nbsp;</th>
            <td mat-cell *matCellDef="let element"> {{element.phone}} </td>

          </ng-container> -->

          <ng-container matColumnDef="address1">
            <th mat-header-cell *matHeaderCellDef>Address1</th>
            <td mat-cell *matCellDef="let element"> {{element.address1}} </td>
          </ng-container>

          <ng-container matColumnDef="activeMonth">
            <th mat-header-cell *matHeaderCellDef>Active Months</th>
            <td mat-cell *matCellDef="let element"> {{element.startMonth}} {{element.startyear}} -  {{element.endMonth}}  {{element.endyear}} </td>
          </ng-container>
          <!-- <ng-container matColumnDef="status">
            <th mat-header-cell *matHeaderCellDef> status </th>
            <td mat-cell *matCellDef="let element">
                <p *ngIf="element.status==1" class="green-300">Active</p>
                <p *ngIf="element.status==0" class="red-300">Inactive</p>
                &nbsp; &nbsp; &nbsp;
            </td>
          </ng-container> -->
          <ng-container matColumnDef="action">
            <th mat-header-cell *matHeaderCellDef>Action </th>
            
            <td mat-cell *matCellDef="let element;let i = index;" >
              <div >
        
              <button  mat-raised-button (click)="onStatusChange(element.processor_id,1)"  *ngIf="element.status==0" color="green" class="success" mat-icon-button data-toggle="tooltip" title="Activate">
                <mat-icon>done</mat-icon>
              </button>
              <button mat-raised-button (click)="onStatusChange(element.processor_id,0)"  *ngIf="element.status==1"   color="accent" class="danger" mat-icon-button data-toggle="tooltip" title="Deactivate">
                <mat-icon>clear</mat-icon>
              </button>
              <button  [routerLink]="['/apps/admin/edit-Processors', element.processor_id]" mat-raised-button color="accent" mat-icon-button data-toggle="tooltip" title="Edit">
                <mat-icon>edit</mat-icon>
              </button>
              <button (click)="onDelete(element.processor_id)" mat-raised-button  color="accent" class="danger" mat-icon-button data-toggle="tooltip" title="Delete">
                <mat-icon>delete</mat-icon>
              </button>
              <button [routerLink]="['/apps/admin/manage-view-assessments', element.processor_id,'processors']"  mat-raised-button  color="accent"  mat-icon-button data-toggle="tooltip" title="View Assessments"> 
                <mat-icon>assessment</mat-icon>
              </button>
              <button [routerLink]="['/apps/admin/manage-view-refunds', element.processor_id,'processors']"  mat-raised-button  color="accent" mat-icon-button data-toggle="tooltip" title="View Refunds"><mat-icon>replay</mat-icon></button> 
              <button [routerLink]="['/apps/admin/manage-processor-report', element.processor_id,'processors']"   mat-raised-button color="accent"  mat-icon-button data-toggle="tooltip" title="View Reports">
                <mat-icon>report</mat-icon>
              </button>
              <!-- <mat-icon>replay</mat-icon>
              <mat-icon> present_to_all</mat-icon> -->
             
             
            </div>

            <!-- <div *ngIf="i != 0"> -->
              <!-- <button mat-raised-button (click)="onStatusChange(element.processor_id,1)"  *ngIf="element.status==0"   color="green" class="success"> Activate</button> 
              <button mat-raised-button (click)="onStatusChange(element.processor_id,0)"  *ngIf="element.status==1"   color="accent" class="danger"> Deactivate</button>  
              <button [routerLink]="['/apps/admin/edit-Processors', element.processor_id]" mat-raised-button color="accent"> Edit</button>
              <button (click)="onDelete(element.processor_id)" mat-raised-button  color="accent" class="danger" > Delete</button> 
              <button [routerLink]="['/apps/admin/manage-view-assessments', element.processor_id,'processors']"  mat-raised-button  color="accent">View Assessments</button> 
              <button [routerLink]="['/apps/admin/manage-view-refunds', element.processor_id,'processors']"  mat-raised-button  color="accent">View Refunds</button> 
              <button [routerLink]="['/apps/admin/manage-processor-report', element.processor_id,'processors']"   mat-raised-button color="accent">View Reports</button>  -->
            <!-- </div> -->
            </td>

          
          </ng-container>
              
                <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
                <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
              </table>
              <center *ngIf="!isLoading && dataSource.filteredData.length == 0">No Records Found!</center>
              <mat-paginator #paginatorRef [length]="10" [pageSize]="10" [pageSizeOptions]="[10,20,30,40,50]"></mat-paginator>
        </div>
            

        </div>
        <!-- / CONTENT CARD -->
    </div>
    <!-- / CENTER -->
</div>
